/* -*- C -*-
 * File: intrange.h
 *
 * Created: Thu Nov  4 11:20:36 2004
 *
 * $Id:$
 *
 * create_intrange converts strings like '-5,2-7,3,-1,56-' into range of integer intervals stored in struct intrange.
 * 
 * drop_intrange frees its allocated memory
 * 
 * is_in_intrange tests integer to be in range
 * 
 */

#ifndef INTRANGE_H
#define INTRANGE_H

struct intinterval {
  int min;
  int max;
};

struct intrange {
  int elnum;
  struct intinterval (*pairs)[];
};

struct intrange create_intrange (char* argstring);
void drop_intrange(struct intrange range);
int is_in_intrange(struct intrange range, int num);
int is_empty_intrange(struct intrange range);
void print_intrange (struct intrange range);

#endif

/*  Local Variables:
 *  mode: C
 *  coding: cp1251
 *  End:
 */
